<?php

include 'concha.php';


$C_SERVER = "$host";  
//base de datos  
$C_BASE_DATOS="$basedatos";  
//usuario y contraseña de la base de datos mysql  
$C_USUARIO="$usuario";  

$C_CONTRASENA="$contra";  
//ruta archivo de salida   

//(el nombre lo componemos con Y_m_d_H_i_s para que sea diferente en cada backup)  
$C_RUTA_ARCHIVO = "$rutadom/back/".$basedatos."_".date("Y_m_d_H_i_s").".sql";  
//si vamos a comprimirlo  
$C_COMPRIMIR_MYSQL='true';  
  
  
//comando  
$command = "mysqldump --opt -h ".$C_SERVER." ".$C_BASE_DATOS." -u ".$C_USUARIO." -p".$C_CONTRASENA.  
     " -r \"".$C_RUTA_ARCHIVO."\" 2>&1";   
   
//ejecutamos  
system($command);  
  
//comprimimos  
if ($C_COMPRIMIR_MYSQL == 'true') {  
 system('bzip2 "'.$C_RUTA_ARCHIVO.'"');  
} 



$d = date(d);
$m = date(m);
$a = date(Y);

$fecha = "$d-$m-$a";

include 'concha.php';
mysql_connect("$host","$usuario","$contra");
$sSQL="UPDATE `$basedatos`.`configuracion` SET `backup` =  '$fecha' LIMIT 1";
mysql_db_query("$basedatos",$sSQL);


 ?>
<style type="text/css">
<!--
.Estilo1 {
	font-size: 18px;
	font-family: "Trebuchet MS";
}
-->
</style>

 
 
 <p align="center" class="Estilo1">LA COPIA DE SEGURIDAD DEL SITIO WEB FUE GUARDADA CON EXITO</p>
 <p align="center" class="Estilo1"><span class="Estilo1"><a href="index.php">VOLVER</a></span></p>
 